# SAS Portal API

- [REST Resource: v1alpha1.customers](https://developers.google.com/spectrum-access-system/reference/rest#v1alpha1.customers)
- [REST Resource: v1alpha1.customers.deployments](https://developers.google.com/spectrum-access-system/reference/rest#v1alpha1.customers.deployments)
- [REST Resource: v1alpha1.customers.deployments.devices](https://developers.google.com/spectrum-access-system/reference/rest#v1alpha1.customers.deployments.devices)
- [REST Resource: v1alpha1.customers.devices](https://developers.google.com/spectrum-access-system/reference/rest#v1alpha1.customers.devices)
- [REST Resource: v1alpha1.customers.nodes](https://developers.google.com/spectrum-access-system/reference/rest#v1alpha1.customers.nodes)
- [REST Resource: v1alpha1.customers.nodes.deployments](https://developers.google.com/spectrum-access-system/reference/rest#v1alpha1.customers.nodes.deployments)
- [REST Resource: v1alpha1.customers.nodes.devices](https://developers.google.com/spectrum-access-system/reference/rest#v1alpha1.customers.nodes.devices)
- [REST Resource: v1alpha1.customers.nodes.nodes](https://developers.google.com/spectrum-access-system/reference/rest#v1alpha1.customers.nodes.nodes)
- [REST Resource: v1alpha1.deployments](https://developers.google.com/spectrum-access-system/reference/rest#v1alpha1.deployments)
- [REST Resource: v1alpha1.deployments.devices](https://developers.google.com/spectrum-access-system/reference/rest#v1alpha1.deployments.devices)
- [REST Resource: v1alpha1.installer](https://developers.google.com/spectrum-access-system/reference/rest#v1alpha1.installer)
- [REST Resource: v1alpha1.nodes](https://developers.google.com/spectrum-access-system/reference/rest#v1alpha1.nodes)
- [REST Resource: v1alpha1.nodes.deployments](https://developers.google.com/spectrum-access-system/reference/rest#v1alpha1.nodes.deployments)
- [REST Resource: v1alpha1.nodes.deployments.devices](https://developers.google.com/spectrum-access-system/reference/rest#v1alpha1.nodes.deployments.devices)
- [REST Resource: v1alpha1.nodes.devices](https://developers.google.com/spectrum-access-system/reference/rest#v1alpha1.nodes.devices)
- [REST Resource: v1alpha1.nodes.nodes](https://developers.google.com/spectrum-access-system/reference/rest#v1alpha1.nodes.nodes)
- [REST Resource: v1alpha1.nodes.nodes.deployments](https://developers.google.com/spectrum-access-system/reference/rest#v1alpha1.nodes.nodes.deployments)
- [REST Resource: v1alpha1.nodes.nodes.devices](https://developers.google.com/spectrum-access-system/reference/rest#v1alpha1.nodes.nodes.devices)
- [REST Resource: v1alpha1.nodes.nodes.nodes](https://developers.google.com/spectrum-access-system/reference/rest#v1alpha1.nodes.nodes.nodes)
- [REST Resource: v1alpha1.policies](https://developers.google.com/spectrum-access-system/reference/rest#v1alpha1.policies)

## Service: sasportal.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

- <https://sasportal.googleapis.com/$discovery/rest?version=v1alpha1>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://sasportal.googleapis.com`

## REST Resource: [v1alpha1.customers](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers)

| Methods ||
|---|---|
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers/get` | `GET /v1alpha1/{name=customers/*}` Returns a requested `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers#Customer`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers/list` | `GET /v1alpha1/customers` Returns a list of requested `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers#Customer`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers/patch` | `PATCH /v1alpha1/{customer.name=customers/*}` Updates an existing `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers#Customer`. |

## REST Resource: [v1alpha1.customers.deployments](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments)

| Methods ||
|---|---|
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments/create` | `POST /v1alpha1/{parent=customers/*}/deployments` Creates a new `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments#Deployment`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments/delete` | `DELETE /v1alpha1/{name=customers/*/deployments/*}` Deletes a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments#Deployment`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments/get` | `GET /v1alpha1/{name=customers/*/deployments/*}` Returns a requested `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments#Deployment`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments/list` | `GET /v1alpha1/{parent=customers/*}/deployments` Lists `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments#Deployment`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments/move` | `POST /v1alpha1/{name=customers/*/deployments/*}:move` Moves a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments#Deployment` under another `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node` or `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers#Customer`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments/patch` | `PATCH /v1alpha1/{deployment.name=customers/*/deployments/*}` Updates an existing `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments#Deployment`. |

## REST Resource: [v1alpha1.customers.deployments.devices](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices)

| Methods ||
|---|---|
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices/create` | `POST /v1alpha1/{parent=customers/*/deployments/*}/devices` Creates a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device` under a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node` or `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers#Customer`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices/createSigned` | `POST /v1alpha1/{parent=customers/*/deployments/*}/devices:createSigned` Creates a signed `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device` under a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node` or `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers#Customer`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices/list` | `GET /v1alpha1/{parent=customers/*/deployments/*}/devices` Lists `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device` under a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node` or `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers#Customer`. |

## REST Resource: [v1alpha1.customers.devices](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.devices)

| Methods ||
|---|---|
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.devices/create` | `POST /v1alpha1/{parent=customers/*}/devices` Creates a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device` under a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node` or `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers#Customer`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.devices/createSigned` | `POST /v1alpha1/{parent=customers/*}/devices:createSigned` Creates a signed `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device` under a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node` or `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers#Customer`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.devices/delete` | `DELETE /v1alpha1/{name=customers/*/devices/*}` Deletes a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.devices/get` | `GET /v1alpha1/{name=customers/*/devices/*}` Gets details about a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.devices/list` | `GET /v1alpha1/{parent=customers/*}/devices` Lists `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device` under a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node` or `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers#Customer`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.devices/move` | `POST /v1alpha1/{name=customers/*/devices/*}:move` Moves a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device` under another `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node` or `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers#Customer`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.devices/patch` | `PATCH /v1alpha1/{device.name=customers/*/devices/*}` Updates a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.devices/signDevice` | `POST /v1alpha1/{device.name=customers/*/devices/*}:signDevice` Signs a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.devices/updateSigned` | `PATCH /v1alpha1/{name=customers/*/devices/*}:updateSigned` Updates a signed `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device`. |

## REST Resource: [v1alpha1.customers.nodes](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes)

| Methods ||
|---|---|
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes/create` | `POST /v1alpha1/{parent=customers/*}/nodes` Creates a new `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes/delete` | `DELETE /v1alpha1/{name=customers/*/nodes/*}` Deletes a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes/get` | `GET /v1alpha1/{name=customers/*/nodes/*}` Returns a requested `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes/list` | `GET /v1alpha1/{parent=customers/*}/nodes` Lists `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes/move` | `POST /v1alpha1/{name=customers/*/nodes/*}:move` Moves a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node` under another `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node` or `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers#Customer`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes/patch` | `PATCH /v1alpha1/{node.name=customers/*/nodes/*}` Updates an existing `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node`. |

## REST Resource: [v1alpha1.customers.nodes.deployments](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes.deployments)

| Methods ||
|---|---|
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes.deployments/create` | `POST /v1alpha1/{parent=customers/*/nodes/*}/deployments` Creates a new `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments#Deployment`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes.deployments/list` | `GET /v1alpha1/{parent=customers/*/nodes/*}/deployments` Lists `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments#Deployment`. |

## REST Resource: [v1alpha1.customers.nodes.devices](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes.devices)

| Methods ||
|---|---|
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes.devices/create` | `POST /v1alpha1/{parent=customers/*/nodes/*}/devices` Creates a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device` under a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node` or `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers#Customer`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes.devices/createSigned` | `POST /v1alpha1/{parent=customers/*/nodes/*}/devices:createSigned` Creates a signed `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device` under a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node` or `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers#Customer`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes.devices/list` | `GET /v1alpha1/{parent=customers/*/nodes/*}/devices` Lists `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device` under a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node` or `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers#Customer`. |

## REST Resource: [v1alpha1.customers.nodes.nodes](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes.nodes)

| Methods ||
|---|---|
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes.nodes/create` | `POST /v1alpha1/{parent=customers/*/nodes/*}/nodes` Creates a new `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes.nodes/list` | `GET /v1alpha1/{parent=customers/*/nodes/*}/nodes` Lists `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node`. |

## REST Resource: [v1alpha1.deployments](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/deployments)

| Methods ||
|---|---|
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/deployments/get` | `GET /v1alpha1/{name=deployments/*}` Returns a requested `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments#Deployment`. |

## REST Resource: [v1alpha1.deployments.devices](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/deployments.devices)

| Methods ||
|---|---|
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/deployments.devices/delete` | `DELETE /v1alpha1/{name=deployments/*/devices/*}` Deletes a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/deployments.devices/get` | `GET /v1alpha1/{name=deployments/*/devices/*}` Gets details about a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/deployments.devices/move` | `POST /v1alpha1/{name=deployments/*/devices/*}:move` Moves a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device` under another `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node` or `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers#Customer`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/deployments.devices/patch` | `PATCH /v1alpha1/{device.name=deployments/*/devices/*}` Updates a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/deployments.devices/signDevice` | `POST /v1alpha1/{device.name=deployments/*/devices/*}:signDevice` Signs a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/deployments.devices/updateSigned` | `PATCH /v1alpha1/{name=deployments/*/devices/*}:updateSigned` Updates a signed `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device`. |

## REST Resource: [v1alpha1.installer](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/installer)

| Methods ||
|---|---|
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/installer/generateSecret` | `POST /v1alpha1/installer:generateSecret` Generates a secret to be used with the `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/installer/validate#spectrum.sas.portal.v1alpha1.DeviceManager.ValidateInstaller`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/installer/validate` | `POST /v1alpha1/installer:validate` Validates the identity of a Certified Professional Installer (CPI). |

## REST Resource: [v1alpha1.nodes](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes)

| Methods ||
|---|---|
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes/get` | `GET /v1alpha1/{name=nodes/*}` Returns a requested `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node`. |

## REST Resource: [v1alpha1.nodes.deployments](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.deployments)

| Methods ||
|---|---|
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.deployments/delete` | `DELETE /v1alpha1/{name=nodes/*/deployments/*}` Deletes a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments#Deployment`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.deployments/get` | `GET /v1alpha1/{name=nodes/*/deployments/*}` Returns a requested `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments#Deployment`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.deployments/list` | `GET /v1alpha1/{parent=nodes/*}/deployments` Lists `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments#Deployment`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.deployments/move` | `POST /v1alpha1/{name=nodes/*/deployments/*}:move` Moves a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments#Deployment` under another `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node` or `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers#Customer`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.deployments/patch` | `PATCH /v1alpha1/{deployment.name=nodes/*/deployments/*}` Updates an existing `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments#Deployment`. |

## REST Resource: [v1alpha1.nodes.deployments.devices](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.deployments.devices)

| Methods ||
|---|---|
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.deployments.devices/create` | `POST /v1alpha1/{parent=nodes/*/deployments/*}/devices` Creates a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device` under a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node` or `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers#Customer`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.deployments.devices/createSigned` | `POST /v1alpha1/{parent=nodes/*/deployments/*}/devices:createSigned` Creates a signed `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device` under a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node` or `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers#Customer`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.deployments.devices/list` | `GET /v1alpha1/{parent=nodes/*/deployments/*}/devices` Lists `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device` under a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node` or `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers#Customer`. |

## REST Resource: [v1alpha1.nodes.devices](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.devices)

| Methods ||
|---|---|
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.devices/create` | `POST /v1alpha1/{parent=nodes/*}/devices` Creates a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device` under a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node` or `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers#Customer`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.devices/createSigned` | `POST /v1alpha1/{parent=nodes/*}/devices:createSigned` Creates a signed `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device` under a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node` or `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers#Customer`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.devices/delete` | `DELETE /v1alpha1/{name=nodes/*/devices/*}` Deletes a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.devices/get` | `GET /v1alpha1/{name=nodes/*/devices/*}` Gets details about a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.devices/list` | `GET /v1alpha1/{parent=nodes/*}/devices` Lists `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device` under a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node` or `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers#Customer`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.devices/move` | `POST /v1alpha1/{name=nodes/*/devices/*}:move` Moves a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device` under another `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node` or `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers#Customer`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.devices/patch` | `PATCH /v1alpha1/{device.name=nodes/*/devices/*}` Updates a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.devices/signDevice` | `POST /v1alpha1/{device.name=nodes/*/devices/*}:signDevice` Signs a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.devices/updateSigned` | `PATCH /v1alpha1/{name=nodes/*/devices/*}:updateSigned` Updates a signed `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device`. |

## REST Resource: [v1alpha1.nodes.nodes](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.nodes)

| Methods ||
|---|---|
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.nodes/create` | `POST /v1alpha1/{parent=nodes/*}/nodes` Creates a new `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.nodes/delete` | `DELETE /v1alpha1/{name=nodes/*/nodes/*}` Deletes a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.nodes/get` | `GET /v1alpha1/{name=nodes/*/nodes/*}` Returns a requested `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.nodes/list` | `GET /v1alpha1/{parent=nodes/*}/nodes` Lists `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.nodes/move` | `POST /v1alpha1/{name=nodes/*/nodes/*}:move` Moves a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node` under another `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node` or `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers#Customer`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.nodes/patch` | `PATCH /v1alpha1/{node.name=nodes/*/nodes/*}` Updates an existing `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node`. |

## REST Resource: [v1alpha1.nodes.nodes.deployments](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.nodes.deployments)

| Methods ||
|---|---|
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.nodes.deployments/create` | `POST /v1alpha1/{parent=nodes/*/nodes/*}/deployments` Creates a new `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments#Deployment`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.nodes.deployments/list` | `GET /v1alpha1/{parent=nodes/*/nodes/*}/deployments` Lists `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments#Deployment`. |

## REST Resource: [v1alpha1.nodes.nodes.devices](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.nodes.devices)

| Methods ||
|---|---|
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.nodes.devices/create` | `POST /v1alpha1/{parent=nodes/*/nodes/*}/devices` Creates a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device` under a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node` or `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers#Customer`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.nodes.devices/createSigned` | `POST /v1alpha1/{parent=nodes/*/nodes/*}/devices:createSigned` Creates a signed `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device` under a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node` or `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers#Customer`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.nodes.devices/list` | `GET /v1alpha1/{parent=nodes/*/nodes/*}/devices` Lists `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device` under a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node` or `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers#Customer`. |

## REST Resource: [v1alpha1.nodes.nodes.nodes](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.nodes.nodes)

| Methods ||
|---|---|
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.nodes.nodes/create` | `POST /v1alpha1/{parent=nodes/*/nodes/*}/nodes` Creates a new `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node`. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/nodes.nodes.nodes/list` | `GET /v1alpha1/{parent=nodes/*/nodes/*}/nodes` Lists `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.nodes#Node`. |

## REST Resource: [v1alpha1.policies](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/policies)

| Methods ||
|---|---|
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/policies/get` | `POST /v1alpha1/policies:get` Gets the access control policy for a resource. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/policies/set` | `POST /v1alpha1/policies:set` Sets the access control policy on the specified resource. |
| `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/policies/test` | `POST /v1alpha1/policies:test` Returns permissions that a caller has on the specified resource. |